@import "tailwindcss";
/* @tailwind utilities; */
@config "../tailwind.config.js";

@layer base {
  body {
    font-family: 'Lato Regular', sans-serif;
  }
  a{
    display: inline-block;
  }

  h1,
  h2,
  h3,
  h4,
  h5,
  h6 {
    font-family: 'Prata', serif;
    letter-spacing: 0.03em;
  }
}

@font-face {
  font-family: 'Prata';
  src: url("../fonts/Prata-Regular.woff2") format('woff2'),
    url("../fonts/Prata-Regular.woff") format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Lato Bold';
  src: url("../fonts/Lato-Bold.woff2") format('woff2'),
    url("../fonts/Lato-Bold.woff") format('woff');
  font-weight: bold;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Lato Regular';
  src: url("../fonts/Lato-Regular.woff2") format('woff2'),
    url("../fonts/Lato-Regular.woff") format('woff');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

/* body {
  font-family: 'Lato Regular', sans-serif;
} */

/* :where(h1,h2,h3,h4,h5,h6) {
  font-family: 'Prata', serif;
} */

.site_container {
  max-width: 1488px;
  margin: 0 auto;
}

.review_swiper .swiper-slide {
  backdrop-filter: blur(5px);
}

div#menuSlides {
  width: 100% !important;
}

#mobileMenuBtn.active {
  background: #d33538;
}

#mobileMenuBtn path {
  transform-origin: center;
  transition: 0.2s linear;
}

#mobileMenuBtn.active path {
  stroke: #fff;
}

#mobileMenuBtn.active path:first-child {
  transform: rotate(-45deg);
}

#mobileMenuBtn.active path:nth-child(2) {
  transform: rotate(45deg) translate(19px, -3px);
}

#mobileMenuBtn path:nth-child(2) {
  transform-origin: top;
}

#mobileMenuBtn.active path:nth-child(3) {
  transform: rotate(45deg) translate(0px, -5px);
}

.menu-slide .slide_bg {
  /* transition: 1.5s linear; */
  transform: scale(0);
  transform-origin: top left;
  border-radius: 0 0 150px 150px;
}

.menu-slide.active .slide_bg {
  transform: scale(1.5);
}

.mega_menu {
  transition: all 0.4s ease;
}

.mega_menu.active {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.mega-parent {
  overflow: hidden;
  /* height: 0; */
  /* transition: height 0.45s cubic-bezier(0.4, 0, 0.2, 1); */
  visibility: hidden;
  opacity: 0;
}

/* .mega-content {
  display: none;
} */
.menu-item:after {
  content: "";
  position: absolute;
  bottom: -32px;
  width: var(--item-width);
  height: 60px;
  background: transparent;
  opacity: 0;
  visibility: hidden;
}

.menu-item:hover:after {
  opacity: 1;
  visibility: visible;
}

.group.menu-item:hover .mega-parent {
  height: 100%;
  opacity: 1;
  visibility: visible;
  transition: 0.45s cubic-bezier(0.4, 0, 0.2, 1);
  height: 100%;
  overflow: visible;
}

.mega-content.active {
  display: block;
}

.header-search-wrapper,
.header_cart {
  transition: 0.2s linear;
}

.active_menu .header_cart {
  opacity: 0;
  visibility: hidden;
}

.active_menu .header-search-wrapper {
  margin-right: -83px;
}

.header-search-wrapper {
  position: relative;
  display: flex;
  align-items: center;
}

.header-search-box {
  overflow: hidden;
  width: 0;
  transition: width 0.45s cubic-bezier(0.4, 0, 0.2, 1);
}

.header-search-input {
  border: none;
  outline: none;
  width: 100%;
}

/* ACTIVE STATE */

.header-search-wrapper.active .header-search-box {
  width: 220px;
  margin-left: 8px;
}

.header-search-wrapper.active .search-label {
  display: none;
}

/* Overlay */
.search-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.35s ease;
  z-index: 999;
}

/* Modal */

.mobile-search-inner {
  background: #fff;
  padding: 24px;
  border-radius: 16px;
  width: 90%;
  max-width: 500px;
  transform: scale(0.9);
  opacity: 0;
  transition: all 0.35s cubic-bezier(0.4, 0, 0.2, 1);
}

.mobile-search-input {
  width: 100%;
  padding: 14px;
  border-radius: 999px;
  border: 1px solid #ddd;
  outline: none;
}

/* Active state */
.search-overlay.active {
  opacity: 1;
  visibility: visible;
}

.mobile-search-modal.active {
  pointer-events: auto;
}

.mobile-search-modal.active .mobile-search-inner {
  transform: scale(1);
  opacity: 1;
}

.mobile-search-modal.active {
  display: flex;
}

button.menu_close {
  position: absolute;
  top: 20px;
  right: 30px;
  padding: 8px;
  background: #d33538;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
}

button.menu_close path {
  fill: #fff;
}

button.menu_close svg {
  width: 16px;
}

button.menu_close:hover {
  background: red;
}

/* Desktop me modal hide */
@media (min-width: 1024px) {

  .search-overlay,
  .mobile-search-modal {
    display: none;
  }
}

@media (max-width: 375px) {
  .flex.top_header {
    gap: 5px;
  }

  .header_top_container {
    max-width: 97%;
  }

  .flex.header_main {
    padding-left: 20px;
    gap: 10px;
  }

  .flex.mobile_px {
    padding-left: 0;
    padding-right: 0;
  }

  .top_header a {
    font-size: 13px;
  }
}